# This file is the entry point to configure your own services.
# Files in the packages/ subdirectory configure your dependencies.

# Put parameters here that don't need to change on each machine where the app is deployed
# https://symfony.com/doc/current/best_practices.html#use-parameters-for-application-configuration
parameters:
    image_directory: '%kernel.project_dir%/public/uploads/images'
    image_evenement: '%kernel.project_dir%/public/uploads/evenement'
    document_directory: '%kernel.project_dir%/public/uploads/fichier'
    images_dg_directory: '%kernel.project_dir%/public/uploads/dg'
    uploads_cycle_directory: '%kernel.project_dir%/public/uploads/cycle'
    partenaire_directory: '%kernel.project_dir%/public/uploads/partenaire'
    galerie_directory:    '%kernel.project_dir%/public/uploads/galerie'


    

    upload_directory_extrait: '%kernel.project_dir%/public/assets/documents/extrait'
    upload_directory_nationalite: '%kernel.project_dir%/public/assets/documents/nationalite'
    upload_directory_attestation: '%kernel.project_dir%/public/assets/documents/attestation'
    upload_directory_bulletin: '%kernel.project_dir%/public/assets/documents/bulletin'
    upload_directory_visite: '%kernel.project_dir%/public/assets/documents/visite'
    upload_directory_demande: '%kernel.project_dir%/public/assets/documents/demande'
    upload_directory_verssement: '%kernel.project_dir%/public/assets/documents/verssement'


services:
    # default configuration for services in *this* file
    _defaults:
        autowire: true      # Automatically injects dependencies in your services.
        autoconfigure: true # Automatically registers your services as commands, event subscribers, etc.

    # makes classes in src/ available to be used as services
    # this creates a service per class whose id is the fully-qualified class name
    App\:
        resource: '../src/'
        exclude:
            - '../src/DependencyInjection/'
            - '../src/Entity/'
            - '../src/Kernel.php'
            
    # add more service definitions when explicit configuration is needed
    # please note that last definitions always *replace* previous ones
    App\Controller\ApiController:
        arguments:
            $entityManager: '@doctrine.orm.entity_manager'

    App\Service\EmailService:
        autowire: true

    App\Security\UserStatusChecker: ~
